<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getBlackOpRank](./bitburner.bladeburner.getblackoprank.md)

## Bladeburner.getBlackOpRank() method

Get black op required rank.

**Signature:**

```typescript
getBlackOpRank(name: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | string | Name of BlackOp. Must be an exact match. |

**Returns:**

number

Rank required to complete this BlackOp.

## Remarks

RAM cost: 2 GB

Returns the rank required to complete this BlackOp.

Returns -1 if an invalid action is specified.

